Subject: Re: MPC8343 - "unable to handle paging request @ 0"

From: Scott Wood <[email-masked]>
Date: Tue, 8 Apr 2008 11:48:53 -0500

On Tue, Apr 08, 2008 at 03:50:26PM +0200, Andre Schwarz wrote:
> after building a debug kernel and attaching the bdi2000 it looks like  
> the crash occurs during "console_init()" ...

Does your device tree have a /chosen node after u-boot is done with it? 
find_legacy_serial_ports() can crash otherwise (we really should fix that).

> Since we're using a dtb I omit the "console=..." argument for the  
> kernel. Is this correct ?

It's OK if you have /chosen/linux,stdout-path.

> If "console=/dev/ttyS0,115200N8" argument is given the serial console  
> stops working after console_init....
>
>
> On other PowerPC system I could see something like this during boot :
>
> -> find_legacy_serial_port()
> stdout is /soc8568@e0000000/serial@4600
> legacy_serial_console = 1
> default console speed = 115340
> <- find_legacy_serial_port()
>
>
> Should I see this message also ?

Only if you enable debug messages in legacy_serial.c.

> Have I misconfigured anything ?

One thing that sticks out from the above is that you ask for ttyS0, but the
stdout you list from the other system corresponds to ttyS1.  Is this just a
difference between the two systems?

-Scott